# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Light Struct Reference

VLX wrapper of vl::Light. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Light:

List of all members.

## Public Member Functions

void | importLight (VLXSerializer &s, const VLXStructure *vlx, Light *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportLight (VLXSerializer &s, const Light *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Light.

Definition at line 2518 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Light::importLight | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Light * | obj
| ) |  | `[inline]`

Definition at line 2520 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::Light::bindTransform(), vl::VLXValue::getArrayReal(), vl::VLXValue::getReal(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXSerializer::importVLX(), NULL, vl::VLXValue::Real, vl::Light::setAmbient(), vl::Light::setConstantAttenuation(), vl::Light::setDiffuse(), vl::Light::setLinearAttenuation(), vl::Object::setObjectName(), vl::Light::setPosition(), vl::Light::setQuadraticAttenuation(), vl::Light::setSpecular(), vl::Light::setSpotCutoff(), vl::Light::setSpotDirection(), vl::Light::setSpotExponent(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), VLX_IMPORT_CHECK_RETURN, vl::vlx_vec3(), and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Light::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2601 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importLight(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Light::exportLight | ( | VLXSerializer & | s,
|  | const Light * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2610 of file VLXWrappers.hpp.

References vl::Light::ambient(), vl::Light::boundTransform(), vl::Light::constantAttenuation(), vl::Light::diffuse(), vl::VLXSerializer::exportVLX(), vl::Light::linearAttenuation(), vl::Object::objectName(), vl::Light::position(), vl::Light::quadraticAttenuation(), vl::Light::specular(), vl::Light::spotCutoff(), vl::Light::spotDirection(), vl::Light::spotExponent(), vl::vlx_String(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Light::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2628 of file VLXWrappers.hpp.

References vl::Object::as(), exportLight(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.